package p12f.exe.holdercert.objects.config.query;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class BaseMultipleHolderCertQueryResultFileSystem implements Serializable {

	public String packageId;
	public String adminId;
	public Map adminName;
	public String sufijoId; // No se usa por ahora
	public String nombreLote;
	public String nombreFichero;
	public String validacionId;
	public Map validacionName;
	public Date fechaSolicitud;
	public Date fechaRealizacion;
	public String usuario;
	public String usuarioId;
	
	public BaseMultipleHolderCertQueryResultFileSystem(){
		
    }
	
	/**
     * Convierte de un String xml a un Objeto 
     * @param xml : XML de objeto.
     * @return Objeto convertido.
     * @throws XOMarshallerException
     */
    public static BaseMultipleHolderCertQueryResultFileSystem getObject( String xml) throws XOMarshallerException {
        return (BaseMultipleHolderCertQueryResultFileSystem)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"),xml);   
    }

    /**
     * Convierte un Objeto BaseMultipleHolderCertQueryResultFileSystem a XML.
     * @return
     * @throws XOMarshallerException
     */
    public String toXML() throws XOMarshallerException {   
         return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
	
}
