package p12f.exe.ikus;

import java.io.Serializable;
import java.util.List;

import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class IKUSThirdRegistryList implements Serializable {
	
	private static final long serialVersionUID = -1017276589040836480L;
	
	public List thirdRegistryList;
	
	public IKUSThirdRegistryList() {
		ObjectUtils.initialize(this);
	}

	public void addThirdRegistryList(List thirdRegistryList){
		this.thirdRegistryList=thirdRegistryList;
	}
	
    public static IKUSThirdRegistryList getObject(String xml)throws XOMarshallerException{
    	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
    	IKUSThirdRegistryList usersList = (IKUSThirdRegistryList)XOManager.getObject(mapFileName, xml);
        return usersList;
    }     

    public String toXML() throws XOMarshallerException {
       	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
       	return XOManager.getXML(mapFileName, this);        	
    }
    
}
