package p12f.exe.otp.objects;

import java.io.Serializable;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class OTPSendResponse implements Serializable {
	
	public boolean sendOk = false;
	
	public OTPError otpError = null;
	
	
	public OTPSendResponse() {
		
	}
	
	/**
	 * Convierte un Objeto OTPSendResponse a XML.
	 * @return String que contiene el XML.
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {
		return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
	}
	
	/**
	 * Convierte un XML en un objeto OTPSendResponse.
	 * @return Objeto OTPSendResponse construido a partir del XML.
	 * @throws XOMarshallerException
	 */
	public static OTPSendResponse getObject(String xml) throws XOMarshallerException {
		return (OTPSendResponse)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
}
