package p12f.exe.pasarelapagos.exceptions;

import com.ejie.r01f.exceptions.R01FBaseException;

public class InitializationErrorException extends R01FBaseException {

	private static final long serialVersionUID = 3256439196238078391L;
    public InitializationErrorException() {
        super();
    }    
    /**
     * @param cause
     */
    public InitializationErrorException(Exception cause) {
        super(cause);
    }
    /**
     * @param exNumber
     * @param cause
     */
    public InitializationErrorException(long exNumber, Exception cause) {
        super(exNumber, cause);
    }
    /**
     * @param exNumber
     * @param msg
     * @param cause
     */
    public InitializationErrorException(long exNumber, String msg, Exception cause) {
        super(exNumber, msg, cause);
    }
    /**
     * @param exNumber
     * @param msg
     */
    public InitializationErrorException(long exNumber, String msg) {
        super(exNumber, msg);
    }
    /**
     * @param msg
     * @param cause
     */
    public InitializationErrorException(String msg, Exception cause) {
        super(msg, cause);
    }
    /**
     * @param msg
     */
    public InitializationErrorException(String msg) {
        super(msg);
    }
}
