/**
 * Fecha de creacin: (28/04/02)
 * @author: EJIE
 */

package p12f.exe.pasarelapagos.exceptions;

/**
 * Excepcion lanzada por un objeto de negocio de la pasarela de pagos
 */
public class PaymentException extends Exception{
    /**
     * Constructor
     */
    public PaymentException() {
        super();
    }
    /**
     * Constructor
     * @param ex (otra excepcion)
     */
    public PaymentException(Throwable ex) {
        super(ex);
    }
    
    /**
     * Constructor
     * @param ex (otra excepcion)
     */
    public PaymentException(String msg) {
        super(msg);
        
    }
    
    /**
     * Constructor
     * @param msg (un mensaje)
     * @param ex (otra excepcion)
     */
    public PaymentException(String msg,Throwable ex) {
        super(msg,ex);
    }      

}
