/*
 * Created on 12-ene-2006
 *
 * @author co01347e
 */
package p12f.exe.pasarelapagos.helpers;

import com.ejie.r01f.xmlproperties.XMLLiterals;
import com.ejie.r01f.xmlproperties.XMLProperties;

/**
 * 
 */
public class NavigationBarHelper {
    
    public static final String ENTRADA_FORMULARIO = "formulario";
    public static final String ENTRADA_APLICACION = "aplicacion";
    public static final String INTRODUCCION_PAGOS = "introducirPagos";
    public static final String ELEGIR_MODO = "elegirModo";
    public static final String ELEGIR_ENTIDAD = "elegirEntidad";
    public static final String CONFIRMACION = "confirmacion";
    
    public static String composeNavigationBar(String entrada, String pasoActual, String idioma, String carpetaImagenes) {
        XMLLiterals xmlLiterals = new XMLLiterals("p12i",idioma);
        
        String barra = XMLProperties.get("p12i","barraNavegacion/tipos/" + entrada);
        //List pasos = new ArrayList();
        int numPaso = 1;
        String paso = null;
        String codigoHTML="";
        String mensaje = "";
        codigoHTML+="<div class='p12pasos'>\n";        
        do{
            paso = XMLProperties.get("p12i","barraNavegacion/barras/" + barra + "/paso" + numPaso);
            String titulo = xmlLiterals.get("barraNavegacion/" + paso +"/titulo");  
            if(paso!=null){
                codigoHTML+="<div class='p12cajapaso'>";
                if(paso.equals(pasoActual)){
                    codigoHTML+="<div class='p12pasonaranja'>";
                    codigoHTML+="<img src='" + carpetaImagenes + "img/p" + numPaso +"b.gif' alt='paso nuno, actual, introducir datos'/>";
                    codigoHTML+="<font>" + titulo +"</font>";
                    codigoHTML+="</div>";
                    codigoHTML+="<img src='" + carpetaImagenes + "img/flecha_narj.jpg'  alt='paso actual, introduccin de datos'/>";
                    mensaje = xmlLiterals.get("barraNavegacion/" + paso + "/ayuda");
                }else{
                    codigoHTML+="<div class='p12pasogris'>";
                    codigoHTML+="<img src='" + carpetaImagenes + "img/p" + numPaso + "a.gif' alt='paso nuno, actual, introducir datos'/>";
                    codigoHTML+="<font>" + titulo + "</font>";
                    codigoHTML+="</div>";
                }                
                codigoHTML+="</div>\n";
                
                numPaso++;
            }
        }while(paso!=null);
        codigoHTML+="<div class='p12cajapaso'>";
        codigoHTML+="<div class='p12pasogrisult'>";
        codigoHTML+="<img src='" + carpetaImagenes + "img/p" + numPaso + "a.gif' alt='paso ncuatro, relacin pago entidad'/>";
        codigoHTML+="<font>" + xmlLiterals.get("barraNavegacion/pago/titulo") + "</font>";
        codigoHTML+="</div>";
        codigoHTML+="</div>";
        codigoHTML+="</div>\n";
        
        
        codigoHTML+="<div class='p12informacion'>";
        codigoHTML+="<p>" + mensaje + "</p>";
        codigoHTML+="</div>";

        
        return codigoHTML;
    }
}
