package p12f.exe.pasarelapagos.objects;

import java.io.Serializable;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class AccountConstraint implements Serializable {
	
	private static final long serialVersionUID = -5026172026327492453L;
	
	public String id; 
	
	public AccountConstraint(){
		
	}
	
	public AccountConstraint(String id){
		this.id = id;
	}
	
	/**
	 * Convierte un Objeto AccountConstraint a XML.
	 * @return String que contiene el XML.
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {
		return XOManager.getXML(XMLProperties.get("p12ft","objectMapPath"),this);
	}
	
}