package p12f.exe.pasarelapagos.objects;

import java.io.Serializable;
import java.util.Map;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

/**
 * Datos adicionales para un HolderCertResponse.
 */
public class AditionalHolderDataItem implements Serializable {
	
	private static final long serialVersionUID = -5026172026327492453L;
	
	public String id; 
	public String value;
	public Map aditionalDataList;
	
	public AditionalHolderDataItem(){
		
	}
	
	public AditionalHolderDataItem(String id, String value){
		this.id = id;
		this.value = value;
	}
	
	/**
	 * Convierte un Objeto AditionalHolderDataItem a XML.
	 * @return String que contiene el XML.
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {   
		return XOManager.getXML(XMLProperties.get("p12ft","objectMapPath"),this);
	}
	
}