package p12f.exe.pasarelapagos.objects;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class BackendEventList implements Serializable {
	
	/**
	 * Lista con los eventos del mismo tipo.
	 */
	public String tipoEvento;
	
	public String tipoConfiguracionEvento;
	
	public List backendEvents = new ArrayList();
	
	public Map aditionalDataList = null;
	
	public BackendEventList() {
		
	}
	
	/**
	 * Convierte un Objeto BackendEventList a XML.
	 * @return String que contiene el XML.
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {
		return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
	}
	
	/**
	 * Convierte un XML en un objeto BackendEventList.
	 * @return Objeto BackendEventList construido a partir del XML.
	 * @throws XOMarshallerException
	 */
	public static BackendEventList getObject(String xml) throws XOMarshallerException {
		return (BackendEventList)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
	
}
