package p12f.exe.pasarelapagos.objects;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class HolderCertDataList implements java.io.Serializable{
	
	public static final String TYPE_MULTIPLE = "00";
	public static final String TYPE_MULTIPLE_BATCH = "01";
	
	public List dataList = new ArrayList();
	public int itemCount;
	public String packageID ;
	public Map aditionalDataList = null;

	/**
	 * Convierte un Objeto Estado a XML.
	 * @return
	 * @throws XOMarshallerException
	 */
    public String toXML() throws XOMarshallerException {   
         return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
	
    /**
	 * Convierte un XML en un objeto estado.
	 * @return Objeto Estado construido a partir del XML.
	 * @throws XOMarshallerException
	 */
	public static HolderCertDataList getObject(String xml) throws XOMarshallerException {    
	    return (HolderCertDataList)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
	
}