package p12f.exe.pasarelapagos.objects;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class SignedAuthData implements Serializable, Initializable {

  	public String signature = null;
	
	public List metadataList = new ArrayList(); // List<MetadataItem>

	/**
	 * Convierte un Objeto Url a XML.
	 * @return String que contiene el XML.
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {   
		return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
	}
	
	/**
	 * Convierte un XML en un objeto Url.
	 * @return Objeto Url construido a partir del XML.
	 * @throws XOMarshallerException
	 */
	public static SignedAuthData getObject(String xml) throws XOMarshallerException {    
	    return (SignedAuthData)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
}
