package p12f.exe.pasarelapagos.objects.mobile;



import java.io.Serializable;
import java.util.Map;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class SetupMobileInputData  implements Serializable, Initializable {
	
	public Map dataValue;
	

	/**
	 * Convierte un Objeto Tercero a XML.
	 * @return String que contiene el XML.
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {   
		return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
	}
	
	/**
	 * Convierte un XML en un objeto Tercero.
	 * @return Objeto Tercero construido a partir del XML.
	 * @throws XOMarshallerException
	 */
	public static SetupMobileInputData getObject(String xml) throws XOMarshallerException {    
	    return (SetupMobileInputData)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
    

}
