
package p12f.exe.pasarelapagos.objects.users;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;


public class P12FAllowedAction
{	
	/*
	 * (GEN)General  
	 * (GR) Grupo AAPP
	 * (EE) Entidades Emisoras
	 * (SUF)Sufijos
	 * (EF) Entidades Financieras
	 * (USU)Usuarios
	 * */
	public String codObjet;
       
	/*
	 *  (A)Alta
		(B)Baja
		(M)Modificacin
		(C)Consulta
		(D)Delegar Administracin
		(E)Consultar Estadsticas
		(P)Consultar Vida Pago
		(L)Generar Liquidaciones
		(V)Pago en Ventanilla
		(M)Pago Mvil
	 * */
	public String codAction;
	
    //al grabar q pertenece a una entidad con uno o ms roles se le graban las acciones por objeto
    //public List entidadesPermitidas;  
    //public Map accionesPorObjeto;
   
    public P12FAllowedAction(){
    }

    public static P12FAllowedAction getObject(String xml) throws XOMarshallerException {
    	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
    	P12FAllowedAction allowedAction = (P12FAllowedAction)XOManager.getObject(mapFileName, xml);
        return allowedAction;
    }     

    public String toXML() throws XOMarshallerException {
       	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
       	return XOManager.getXML(mapFileName, this);        	
    }
    
}