package p12f.exe.pasarelapagos.objects.users;

import java.util.List;

import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class P12FAllowedLiquidationPayments implements java.io.Serializable {

	private static final long serialVersionUID = 8147532375271575158L;
	public List allowedLiquidationPayments;
	
	public P12FAllowedLiquidationPayments(){
        ObjectUtils.initialize(this);
    }

	public static P12FAllowedLiquidationPayments getObject(String xml) throws XOMarshallerException {
    	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
    	P12FAllowedLiquidationPayments liquidationPayments = (P12FAllowedLiquidationPayments)XOManager.getObject(mapFileName, xml);
        return liquidationPayments;
    }     

    public String toXML() throws XOMarshallerException {
    	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
    	return XOManager.getXML(mapFileName, this);        	
    }
}
