package p12f.exe.pasarelapagos.objects.users.query;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;
import java.io.Serializable;
import java.util.Map;

public class P12FUsersQueryResult implements Serializable, Initializable {

	 public int numResult;
	 public Map results;
	 
	 public P12FUsersQueryResult(){
	     ObjectUtils.initialize(this);
	 }
	
	 public static P12FUsersQueryResult getObject(String xml) throws XOMarshallerException{
	     return (P12FUsersQueryResult)XOManager.getObject(XMLProperties.get("p12f", "objectMapPath"), xml);
	 }
	
	 public String toXML()throws XOMarshallerException{
	     return XOManager.getXML(XMLProperties.get("p12f", "objectMapPath"), this);
	 }
}