/*
 * Created on 09-jun-2005
 * @author co00414a
 */
package p12f.exe.pasarelapagos.transformer.test;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintStream;

import p12f.exe.pasarelapagos.paymentrequest.PaymentGatewayData;
import p12f.exe.pasarelapagos.transformer.ObjectTransformer;
import p12f.exe.pasarelapagos.transformer.ObjectTransformerAPI;
import p12f.exe.pasarelapagos.transformer.ObjectTransformerException;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class TestConverterPeticionPagoToPayment {
	
	public static String PATH_PETICIONPAGO_ORIGINAL = "d:\\eAdmin\\config\\p12f\\PeticionPagoOldOriginal.xml";
	public static String PATH_PAYMENT_REQUEST = "d:\\eAdmin\\config\\p12f\\PaymentRequestData.xml";
	public static String PATH_PROTOCOL_REQUEST = "d:\\eAdmin\\config\\p12f\\ProtocolData.xml";
    public static String PATH_PRESENTATION_REQUEST = "d:\\eAdmin\\config\\p12f\\PresentationData.xml";
    public static String PATH_PETICIONPAGO_FINAL = "d:\\eAdmin\\config\\p12f\\PeticionPagoOldFinal.xml";			
	
	
	public static void main(String args[]) throws ObjectTransformerException, XOMarshallerException, IOException{
		
		
		FileInputStream fis = null;
		// Obtener una Peticion de Pago antigua
		
		p12f.exe.pasarelapagos.v1.objects.PeticionPago peticionPagoV1 = null;
		//PeticionPago peticionPagoV2 = null;
		fis = new FileInputStream (PATH_PETICIONPAGO_ORIGINAL);
		peticionPagoV1 =(p12f.exe.pasarelapagos.v1.objects.PeticionPago) XOManager.getObject(XMLProperties.get("p12f","objectMapPathV1"),fis);	    
		
		
		/// Obtener una Peticion de Pago Actual
		
		//PaymentRequestData paymentRequestData = null;
		//ProtocolData protocolData = null;
		//PresentationRequestData presentationData = null;
	
		/*<--------------------------------------------------------------------------------------------------->*/
		
		// Instanciar Object Transformer.
		
		 ObjectTransformerAPI transformer = new ObjectTransformer();
		
		
	     // Prueba 1 :  Obtener los datos para la Pasarela Nueva a partir de  peticionPagoV1
		
		 PaymentGatewayData paymentGatewayData = transformer.transformToNewPaymentData(peticionPagoV1);
		 
		 System.out.println(paymentGatewayData.paymentRequestData.toXML());
		 System.out.println(paymentGatewayData.protocolData.toXML());
		 System.out.println(paymentGatewayData.presentationData.toXML());
		
		 // Escribir la salida a ficherillo.
		 _writeToFile(PATH_PAYMENT_REQUEST,paymentGatewayData.paymentRequestData.toXML());
		 _writeToFile(PATH_PROTOCOL_REQUEST,paymentGatewayData.protocolData.toXML());
		 _writeToFile(PATH_PRESENTATION_REQUEST,paymentGatewayData.presentationData.toXML());
		 
		
	}
	
	private static void _writeToFile(String path, String xmlStr) throws IOException{	 	
 	    FileOutputStream fos=new FileOutputStream (path,false);
        PrintStream ps = new PrintStream(fos);	      
        ps.print(xmlStr);
        fos.close();
        ps.close();	 		 	
	 }
}
