package p12f.exe.pasarelapagos.utils;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import com.ejie.r01f.net.HttpClient;

public class BatchUrlCaller {
	
	/**
	 * argv[0] - URI
	 * argv[1] - Mtodo de llamada a la URI (GET/POST)
	 * argv[2..n] - Parmetros
	 * @param argv
	 * @throws IOException
	 */
	public static void main(String[] argv) throws IOException {
		String backendURI = argv[0];
		String metodoLlamada = "GET"; // por defecto GET
		HttpClient client = null;
		if (argv.length > 1) {
			metodoLlamada = argv[1].toUpperCase();
			Map parametros = new HashMap();
			for (int i=2;i<argv.length;i++) {
				String[] paramNombreValor = argv[i].split("=");
				parametros.put(paramNombreValor[0], paramNombreValor[1]);
			}
			if (parametros.size()>0) {
				client = new HttpClient(backendURI, parametros);
			} else {
				client = new HttpClient(backendURI);
			}
		} else {
			client = new HttpClient(backendURI);
		}
		if ("POST".equals(metodoLlamada)) {
			client.sendPostHttpCall();
		} else { // por defecto GET
			client.sendGetHttpCall();
		}
	}
	

}
