/*
 * Created on May 16, 2005
 * 
 * @author ie00165h
 * (c) 2005 EJIE: Eusko Jaurlaritzako Informatika Elkartea
 */
package p12f.exe.pasarelapagos.utils.exceptions;
/**
 * Exception lanzada cuando hay un error al cargar las configuraciones
 */
import com.ejie.r01f.exceptions.R01FBaseException;

public class PaymentDataHelpperException extends R01FBaseException {
    private static final long serialVersionUID = 3256439196788078391L;
    public PaymentDataHelpperException() {
        super();
    }    
    /**
     * @param cause
     */
    public PaymentDataHelpperException(Exception cause) {
        super(cause);
    }
    /**
     * @param exNumber
     * @param cause
     */
    public PaymentDataHelpperException(long exNumber, Exception cause) {
        super(exNumber, cause);
    }
    /**
     * @param exNumber
     * @param msg
     * @param cause
     */
    public PaymentDataHelpperException(long exNumber, String msg, Exception cause) {
        super(exNumber, msg, cause);
    }
    /**
     * @param exNumber
     * @param msg
     */
    public PaymentDataHelpperException(long exNumber, String msg) {
        super(exNumber, msg);
    }
    /**
     * @param msg
     * @param cause
     */
    public PaymentDataHelpperException(String msg, Exception cause) {
        super(msg, cause);
    }
    /**
     * @param msg
     */
    public PaymentDataHelpperException(String msg) {
        super(msg);
    }
}
