package p12f.exe.pasarelapagos.utils.sign;

import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.util.HashMap;
import java.util.Map;

public class SignVerificationRequestOutputData {
	
	
	
    InputStream   signedResult; 
	
	private Map signRequestOutputDataAttributes = new HashMap();;
	
	public static final  String IS_VALID_ATTRIBUTE = "IS_VALID_ATTRIBUTE";
	
	
	/********************************************/
	/*    Setters    
	/********************************************/
	
	public void setResult( String text ) {
		
		this.signedResult  = new ByteArrayInputStream(text.getBytes());
	}
	
	public void setResult (InputStream text ) {
		
		this.signedResult = text;
	}
	
	public  boolean  isValid() {
		
		return ( (Boolean) getSignRequestOutputDataAttributes().get(SignVerificationRequestOutputData.IS_VALID_ATTRIBUTE) ).booleanValue();
	}
	
	/********************************************/
	/*    Getters    							*/
	/********************************************/
	
	
	
	public String getResult(  ) {
	
	 try {
		 
		 StringBuffer buffer = new StringBuffer();
		
		InputStreamReader isr = new InputStreamReader(this.signedResult);
		Reader in = new BufferedReader(isr);
		int ch;
		while ((ch = in.read()) > -1) {
			buffer.append((char)ch);
		}
		in.close();
		return buffer.toString();
			
	 } catch (Exception e) {
		e.printStackTrace();
		return null;
	  }
	
	}
	
	public InputStream getStreamResult ( ) {
		
		return this.signedResult;
	}

	public Map getSignRequestOutputDataAttributes() {
		return signRequestOutputDataAttributes;
	}

	public void setSignRequestOutputDataAttributes(
			Map signRequestOutputDataAttributes) {
		this.signRequestOutputDataAttributes = signRequestOutputDataAttributes;
	}
	

}
