package p12f.exe.pasarelapagos.v1.objects;


/**
 * Elemento individual del desglose de conceptos de una peticion de pago
 */

public class ConceptoPago extends AbstractPagoObj {
    public String euskera;      // Descripcion en euskera
    public String castellano;   // Descripcion en castellano
    public String importe;      // Importe individual (en CENTEUROS)
    
    
    /** Constructores */
    public ConceptoPago() {
    }
    public ConceptoPago(String inCastellano,String inEuskera,String inImporte) {
        this.euskera = inEuskera;
        this.castellano = inCastellano;
        this.importe = inImporte;
    }   
}
