package p12f.exe.pasarelapagos.v1.objects;

/**
 * Clase que se encarga de consultar en la Pasarela de Pagos el resultado de un
 * pago, para lo cual envia el id del pago
 */



public class ConsultaPago extends AbstractPagoObj {    
    public String codigo;		// Codigo entidad emisora (CSB57)
    public String referencia;           // Referencia (CSB57)
    public String identificacion;     	// Identificacin del pago (CSB57)
    public double importe;              // Importe (CSB57)

    /** Constructores */
    public ConsultaPago() {
    }

    public ConsultaPago(String inCodigo,String inReferencia,String inIdentificacion,double inImporte) {
        this.codigo = inCodigo;
        this.referencia = inReferencia;
        this.identificacion = inIdentificacion;
        this.importe = inImporte;
    }
    
}
