package p12f.exe.pasarelapagos.v1.objects;


/** 
 * Elemento individual de la lista de imagenes a incluir en el justificante
 * de pago
 */

public class Imagen extends AbstractPagoObj {
    public String id;   // ID de la imagen
    public String url;  // URL donde se puede encontrar la imagen
    public byte[] bin;  // Imagen en formato binario
    
    
    /** Constructores */
    public Imagen() {
    }
    public Imagen(String inID,String inURL) {
        this.id = inID;
        this.url = inURL;
    }
    public Imagen(String inID,String inURL,byte[] inBin) {
        this(inID,inURL);
        this.bin = inBin;
    }    
	
    
}
