package p12f.exe.pasarelapagos.v1.objects;


/**
 * Elemento individual de la lista de mensajes a mostrar en el justificante
 * de pago
 */
 
public class Mensaje extends AbstractPagoObj {
	public String id;			 // Identificador de la imagen
    public String euskera;      // Texto en euskera
    public String castellano;   // Texto en castellano
    
    
    /** Constructores */
    public Mensaje() {
    }
    public Mensaje(String newId) {
    	this.id = newId;
    }
    public Mensaje(String inEuskera, String inCastellano) {
        this.euskera = inEuskera;
        this.castellano = inCastellano;
    }    
    public Mensaje(String inID,String inEuskera, String inCastellano) {
        this(inEuskera,inCastellano);    	
    	this.id = inID;
    }    
    
}
