package p12f.exe.pasarelapagos.v1.objects;

/**
 * Clase que define un pago
 */


import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;



public class OrdenDomiciliacion extends AbstractPagoObj {    
    public List textos;         // Datos del emisor
    public String entidad;      // Descripcion del pago
    public Imagen imagen;       // Imagen en la orden de domiciliacion
    
    /** Constructores */
    public OrdenDomiciliacion() {
        this.imagen.id = "1";
        this.imagen.url = "";
    }
    public OrdenDomiciliacion(PeticionPago peticionPago) {
        this();
        // Copiar los textos de la peticion de pago
        if (peticionPago == null) return;
        if (peticionPago.mensajes != null && peticionPago.mensajes.size() > 0) {
            this.textos = new ArrayList();
            for (Iterator it = peticionPago.mensajes.values().iterator();it.hasNext();) {
                this.textos.add(it.next());
            }
        }
    }
    
}
