/*
 * Created on Jun 1, 2007
 * 
 * @author ie00191m - Alex Lara
 * (c) 2007 EJIE: Eusko Jaurlaritzako Informatika Elkartea
 */
package p12f.exe.search;

import com.ejie.r01f.xmlproperties.XMLExternalProperties;
import com.ejie.r01f.xmlproperties.XMLProperties;

/**
 * Clase Manejadora de Properties de Busqueda.
 */
public class XMLSearchProperties extends XMLExternalProperties {

    
    private static XMLSearchProperties _xmlSearchInstance = null;
     
    /**
     * Clase manejadora de Properties.
     *
     */
    public XMLSearchProperties(String pattern) {
        super(pattern);        
    }

    /***
     * Obtener instancia.
     * @return
     */
    public static  XMLSearchProperties getInstance() { 
        if ( _xmlSearchInstance != null )
            return  _xmlSearchInstance;        
       

        String pattern = XMLProperties.getPropertyNode("p12f","searchConfig/@storage").getNodeValue();
          
        _xmlSearchInstance = new XMLSearchProperties(pattern);
        return  _xmlSearchInstance;
         
    }
    public static void main(String[] argv) {        
        XMLSearchProperties  searchProperties  = XMLSearchProperties.getInstance();
        System.out.println(searchProperties.get("p12f","searchPaymentConfig/basicQueryConfig/query"));
    
    }

}



