package p12f.exe.search.parameters;

import java.io.Serializable;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class FinantialOrgSearchedParam implements Serializable, Initializable {

    public String finantialOrg; // "3035", "2095", "2097", ...

    /* 
     * Contructor vacio.
     */
    public FinantialOrgSearchedParam() {
        
    }

    /**
     * Parmetros de Bsqueda por entidad financiera.
     * @param finantialOrg
     */
    public FinantialOrgSearchedParam(String finantialOrg) {
        this.finantialOrg = finantialOrg;
    }

    /**
     * Convierte un Objeto FinantialOrgSearchedParam a XML.
     * @return String que contiene el XML.
     * @throws XOMarshallerException
     */
    public String toXML() throws XOMarshallerException {  
        return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }

}
