/*
 * Created on May 29, 2007
 * 
 * @author ie00191m - Alex Lara
 * (c) 2007 EJIE: Eusko Jaurlaritzako Informatika Elkartea
 */
package p12f.exe.search.parameters;

import java.io.Serializable;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

/**
 *  Parmetros de busqueda por Tercero.
 */


public class ThirdPartySearchedParam implements Serializable, Initializable{
    
    public String dniNIF ; // Dni-NIF del Tercer.
    public String razonSocial; // Razon Social del Tercero. 
    
    
    /**
     * Constructor Vacio.
     *
     */
    public ThirdPartySearchedParam() {
        
    }
    
    /**
     * Constructor.
     * @param dniNIF
     * @param razonSocial
     */
    public ThirdPartySearchedParam(String dniNIF , String razonSocial) {
        
        this.dniNIF = dniNIF;
        this.razonSocial = razonSocial;        
    }
    
    
    
    /**
     * Convierte un Objeto PaymentData a XML.
     * @return String que contiene el XML.
     * @throws XOMarshallerException
     */
    public String toXML() throws XOMarshallerException {   
        
        return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
  
    
    
}
