package p12f.exe.thirdsgateway.exceptions;

import com.ejie.r01f.exceptions.R01FBaseException;

/**
 * Excepcin relacionada con la carga de una configuracin.
 */
public class RenderException extends R01FBaseException {

    private static final long serialVersionUID = 3256439196788078391L;
    public RenderException() {
        super();
    }    
    /**
     * @param cause
     */
    public RenderException(Exception cause) {
        super(cause);
    }
    /**
     * @param exNumber
     * @param cause
     */
    public RenderException(long exNumber, Exception cause) {
        super(exNumber, cause);
    }
    /**
     * @param exNumber
     * @param msg
     * @param cause
     */
    public RenderException(long exNumber, String msg, Exception cause) {
        super(exNumber, msg, cause);
    }
    /**
     * @param exNumber
     * @param msg
     */
    public RenderException(long exNumber, String msg) {
        super(exNumber, msg);
    }
    /**
     * @param msg
     * @param cause
     */
    public RenderException(String msg, Exception cause) {
        super(msg, cause);
    }
    /**
     * @param msg
     */
    public RenderException(String msg) {
        super(msg);
    }
}
