package p12f.exe.thirdsgateway.objects.config;

import java.io.Serializable;

import p12f.exe.pasarelapagos.objects.Url;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class EventsConfig implements Serializable {

	public String eventBitMap;	
	public boolean internal;
	public Url eventUrl;
	
	public EventsConfig() {
		this.internal = false;
	}
	
	/**
	 * Convierte un Objeto EventsConfig a XML.
	 * @return
	 * @throws XOMarshallerException
	 */
    public String toXML() throws XOMarshallerException {   
    	return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
    
    /**
	 * Convierte un XML en un objeto EventsConfig.
	 * @return
	 * @throws XOMarshallerException
	 */
	public static EventsConfig getObject(String xml) throws XOMarshallerException {    
	    return (EventsConfig)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
	
}
