package p12f.exe.thirdsgateway.objects.config.query;

import java.io.Serializable;
import java.util.Map;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class ThirdsRegistryQueryResult implements Serializable, Initializable {
	
	public int numResult;
	public Map results;
	
	public ThirdsRegistryQueryResult(){
        ObjectUtils.initialize(this);
    }
	
	/**
     * Convierte de un String xml a un Objeto 
     * @param xml : XML de objeto.
     * @return Objeto convertido.
     * @throws XOMarshallerException
     */
    public static ThirdsRegistryQueryResult getObject( String xml) throws XOMarshallerException {
        return (ThirdsRegistryQueryResult)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"),xml);   
    }

    /**
     * Convierte un Objeto BaseConfigQueryResult a XML.
     * @return
     * @throws XOMarshallerException
     */
    public String toXML() throws XOMarshallerException {   
         return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }

}
