package p12f.exe.holdercert.objects.config.query;

import java.io.Serializable;
import java.util.Map;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class BaseHolderCertQueryResult implements Serializable, Initializable {
	
	//static final long serialVersionUID = 1234567890;
	public String id; // por si se quiere poner en un Map, si no no funciona el toXml
	public int numResult;
	public Map results;
	
	public BaseHolderCertQueryResult(){
        ObjectUtils.initialize(this);
    }
	
	/**
     * Convierte de un String xml a un Objeto 
     * @param xml : XML de objeto.
     * @return Objeto convertido.
     * @throws XOMarshallerException
     */
    public static BaseHolderCertQueryResult getObject( String xml) throws XOMarshallerException {
        return (BaseHolderCertQueryResult)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"),xml);   
    }

    /**
     * Convierte un Objeto BaseConfigQueryResult a XML.
     * @return
     * @throws XOMarshallerException
     */
    public String toXML() throws XOMarshallerException {   
         return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }

}
