package p12f.exe.holdercert.objects.config.query;

import java.io.Serializable;

import p12f.exe.pasarelapagos.objects.HolderCertCertifiedData;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class BaseHolderCertQueryResultItem implements Serializable, Initializable {
	
	//static final long serialVersionUID = 1234567890;
	
	public String id;
	public HolderCertCertifiedData objeto;
	public String packageId;
	
	public BaseHolderCertQueryResultItem(){
        ObjectUtils.initialize(this);
    }
	
	/**
     * Convierte de un String xml a un Objeto 
     * @param xml : XML de objeto.
     * @return Objeto convertido.
     * @throws XOMarshallerException
     */
    public static BaseHolderCertQueryResultItem getObject( String xml) throws XOMarshallerException {
        return (BaseHolderCertQueryResultItem)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"),xml);   
    }

    /**
     * Convierte un Objeto BaseConfigQueryResult a XML.
     * @return
     * @throws XOMarshallerException
     */
    public String toXML() throws XOMarshallerException {   
         return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }

}
