/*
 * Created on 06-jun-2005
 * @author co01347e
 */
package p12f.exe.pasarelapagos.exceptions;

import com.ejie.r01f.exceptions.R01FBaseException;

/**
 * Excepcin relacionada con la carga de una configuracin.
 */
public class ConfigLoadException extends R01FBaseException {

    private static final long serialVersionUID = 3256439196788078391L;
    public ConfigLoadException() {
        super();
    }    
    /**
     * @param cause
     */
    public ConfigLoadException(Exception cause) {
        super(cause);
    }
    /**
     * @param exNumber
     * @param cause
     */
    public ConfigLoadException(long exNumber, Exception cause) {
        super(exNumber, cause);
    }
    /**
     * @param exNumber
     * @param msg
     * @param cause
     */
    public ConfigLoadException(long exNumber, String msg, Exception cause) {
        super(exNumber, msg, cause);
    }
    /**
     * @param exNumber
     * @param msg
     */
    public ConfigLoadException(long exNumber, String msg) {
        super(exNumber, msg);
    }
    /**
     * @param msg
     * @param cause
     */
    public ConfigLoadException(String msg, Exception cause) {
        super(msg, cause);
    }
    /**
     * @param msg
     */
    public ConfigLoadException(String msg) {
        super(msg);
    }
}
