/*
 * Created on 22-jun-2005
 * @author co01347e
 */
package p12f.exe.pasarelapagos.exceptions;

import com.ejie.r01f.exceptions.R01FBaseException;

/**
 * Excepcin producida por un error en la Entidad Finaciera
 */
public class FinantialOrgException extends R01FBaseException {

    private static final long serialVersionUID = 3256439196788078391L;
    public FinantialOrgException() {
        super();
    }    
    /**
     * @param cause
     */
    public FinantialOrgException(Exception cause) {
        super(cause);
    }
    /**
     * @param exNumber
     * @param cause
     */
    public FinantialOrgException(long exNumber, Exception cause) {
        super(exNumber, cause);
    }
    /**
     * @param exNumber
     * @param msg
     * @param cause
     */
    public FinantialOrgException(long exNumber, String msg, Exception cause) {
        super(exNumber, msg, cause);
    }
    /**
     * @param exNumber
     * @param msg
     */
    public FinantialOrgException(long exNumber, String msg) {
        super(exNumber, msg);
    }
    /**
     * @param msg
     * @param cause
     */
    public FinantialOrgException(String msg, Exception cause) {
        super(msg, cause);
    }
    /**
     * @param msg
     */
    public FinantialOrgException(String msg) {
        super(msg);
    }
}
