package p12f.exe.pasarelapagos.exceptions;

import com.ejie.r01f.exceptions.R01FBaseException;

public class PaymentRequestException extends R01FBaseException {
	
    private static final long serialVersionUID = 1L;
    
    public PaymentRequestException() {
        super();
    }
    /**
     * @param cause
     */
    public PaymentRequestException(Exception cause) {
        super(cause);
    }
    /**
     * @param exNumber
     * @param cause
     */
    public PaymentRequestException(long exNumber, Exception cause) {
        super(exNumber, cause);
    }
    /**
     * @param exNumber
     * @param msg
     * @param cause
     */
    public PaymentRequestException(long exNumber, String msg, Exception cause) {
        super(exNumber, msg, cause);
    }
    /**
     * @param exNumber
     * @param msg
     */
    public PaymentRequestException(long exNumber, String msg) {
        super(exNumber, msg);
    }
    /**
     * @param msg
     * @param cause
     */
    public PaymentRequestException(String msg, Exception cause) {
        super(msg, cause);
    }
    /**
     * @param msg
     */
    public PaymentRequestException(String msg) {
        super(msg);
    }

}
