/*
 * Created on 01-jul-2005
 * @author co01347e
 */
package p12f.exe.pasarelapagos.helpers;

import p12f.exe.pasarelapagos.objects.PresentationData;
import p12f.exe.pasarelapagos.paymentrequest.PresentationRequestData;

/**
 * Clase de ayuda para el manejo de estructuras PresentationData.
 */
public class PresentationDataHelper {
    
    /**
     * Metodo que devuelve un objeto PresentationData a partir de un objeto PresentationRequestData
     * @param presentationRequestData
     * @return
     */
    public static PresentationData composePresentationData(PresentationRequestData presentationRequestData){
        
        PresentationData presentationData = new PresentationData();
        
        presentationData.idioma = presentationRequestData.idioma;
        presentationData.imagenes = presentationRequestData.imagenes;
        presentationData.mensajes = presentationRequestData.mensajes;
        
        return presentationData;
    }

}
