package p12f.exe.pasarelapagos.objects;

import java.io.Serializable;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

/**
 * Datos adicionales para el OperationResult.
 * @author ie00191m
 *
 */
public class AditionalData implements Serializable {
	
	public String name; 
	public String description;
	public String value;
	
	public AditionalData(){
		
	}
	
	public AditionalData(String name, String value){
		this.name = name;
		this.value = value;
	}
	
	/**
	 * Convierte un Objeto Concepto a XML.
	 * @return String que contiene el XML.
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {   
		return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
	}
	
}
