package p12f.exe.pasarelapagos.objects;

import java.io.Serializable;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class HolderData implements Serializable {
	
	public String holderId;
	public String holderName;

	/**
	 * Convierte un Objeto Concepto a XML.
	 * @return String que contiene el XML.
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {   
		return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
	}

	
	/**
	 * Convierte un XML en un objeto DatosPago.
	 * @return Objeto DatosPago construido a partir del XML.
	 * @throws XOMarshallerException
	 */
	public static AccountData getObject(String xml) throws XOMarshallerException {    
	    return (AccountData)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}

}
