package p12f.exe.pasarelapagos.objects;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class PackageRegistry implements java.io.Serializable {
	
	public String id ;
	
	public String finantialOrgID;
	
	public String deliverTST;
	
	public String receptionTST;
	
	
	/************************************************************************************************/

	
	/**
	 * Convierte un Objeto Estado a XML.
	 * @return
	 * @throws XOMarshallerException
	 */
    public String toXML() throws XOMarshallerException {   
         return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
	
    /**
	 * Convierte un XML en un objeto estado.
	 * @return Objeto Estado construido a partir del XML.
	 * @throws XOMarshallerException
	 */
	public static PackageRegistry getObject(String xml) throws XOMarshallerException {    
	    return (PackageRegistry)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
	

}
