/*
 * Created on 22-dic-2005
 *
 * @author co01347e
 */
package p12f.exe.pasarelapagos.objects;

import java.io.Serializable;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

/**
 * 
 */
public class TPVVirtual implements Serializable, Initializable{

    /**
     * Codigo de comercio del emisor del pago en el TPV Virtual.  
     */
    public String codigoComercio;
    
    /**
	 * Convierte un Objeto TPVVirtual a XML.
	 * @return String que contiene el XML.
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {   
		return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
	}
	
	/**
	 * Convierte un XML en un objeto TPVVirtual.
	 * @return Objeto TPVVirtual construido a partir del XML.
	 * @throws XOMarshallerException
	 */
	public static TPVVirtual getObject(String xml) throws XOMarshallerException {    
	    return (TPVVirtual)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
}
