package p12f.exe.pasarelapagos.objects.config;

import java.util.List;

import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class ConstraintList extends BaseConfigObject {
	public List constraintList;
	
	public ConstraintList() {
		ObjectUtils.initialize(this);
	}

	/**
	 * Convierte de un String xml a un Objeto
	 * 
	 * @param xml
	 *            : XML de objeto.
	 * @return Objeto convertido.
	 * @throws XOMarshallerException
	 */
	public static ConstraintList getObject(String xml) throws XOMarshallerException {
		return (ConstraintList) XOManager.getObject(XMLProperties.get("p12f", "objectMapPath"), xml);
	}

	/**
	 * Convierte un Objeto ConstraintList a XML.
	 * 
	 * @return
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {
		return XOManager.getXML(XMLProperties.get("p12f", "objectMapPath"), this);
	}
	
}
