package p12f.exe.pasarelapagos.objects.data;

public class DataFileConstants {

	/**
	 * Constructor privado para evitar que se instancie.
	 */
	private DataFileConstants() {
		
	}
	
	/**
	 * Todo ha ido segn lo esperado.
	 */
	public final static int RESULT_OK = 1;
	/**
	 * Exista el fichero/carpeta (esto puede ser calificado como un error o simplemente informativo)
	 */
	public final static int RESULT_EXISTS_FILE = 0;
	/**
	 * Se ha producido algn error.
	 */
	public final static int RESULT_ERROR = -1;
	
}
