package p12f.exe.pasarelapagos.objects.security;

import java.io.Serializable;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class SecurityContextConfig implements Serializable, Initializable {
	
	private static final long serialVersionUID = 1L;
	
	public String appClientID;
	public String expirationMillis;
	public String key;
	public String serviceName;
	
	/**
	 * Convierte un Objeto Estado a XML.
	 * @return
	 * @throws XOMarshallerException
	 */
	public String toXML() throws XOMarshallerException {
		return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
	}
	
	/**
	 * Convierte un XML en un objeto estado.
	 * @return Objeto Estado construido a partir del XML.
	 * @throws XOMarshallerException
	 */
	public static SecurityContextConfig getObject(String xml) throws XOMarshallerException {
		return (SecurityContextConfig)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
}
