package p12f.exe.pasarelapagos.objects.users;

import java.util.List;

import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class P12FAllowedHolderCertTypes implements java.io.Serializable {
	
	private static final long serialVersionUID = -3984044753606212357L;
	public List allowedHolderCertValidateTypes;
	public List allowedHolderCertQueryTypes;
	
	public P12FAllowedHolderCertTypes(){
        ObjectUtils.initialize(this);
    }

	public static P12FAllowedHolderCertTypes getObject(String xml) throws XOMarshallerException {
    	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
    	P12FAllowedHolderCertTypes holderCertTypes = (P12FAllowedHolderCertTypes)XOManager.getObject(mapFileName, xml);
        return holderCertTypes;
    }     

    public String toXML() throws XOMarshallerException {
    	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
    	return XOManager.getXML(mapFileName, this);        	
    }
}
