package p12f.exe.pasarelapagos.objects.users;

import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class P12FAllowedTypes implements java.io.Serializable {
	
	private static final long serialVersionUID = -6818238971771759613L;
	public P12FAllowedLiquidationPayments p12UAllowedLiquidationPayments;
	public P12FAllowedHolderCertTypes p12UAllowedHolderCertTypes;
	public P12FAllowedSgtoTypesPayments p12UAllowedSgtoTypesPayments;
	
	public P12FAllowedTypes(){
        ObjectUtils.initialize(this);
    }

	public static P12FAllowedTypes getObject(String xml) throws XOMarshallerException {
    	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
    	P12FAllowedTypes allowedTypes = (P12FAllowedTypes)XOManager.getObject(mapFileName, xml);
        return allowedTypes;
    }     

    public String toXML() throws XOMarshallerException {
    	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
    	return XOManager.getXML(mapFileName, this);        	
    }
}
