package p12f.exe.pasarelapagos.objects.users;

import java.io.Serializable;
import java.util.List;

import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class P12FUsersListRequest implements Serializable {
	public List usersList;
	
	public P12FUsersListRequest() {
		ObjectUtils.initialize(this);
	}

	public void addUsersList(List usersList){
		this.usersList=usersList;
	}
	
    public static P12FUsersListRequest getObject(String xml)throws XOMarshallerException{
    	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
    	P12FUsersListRequest usersList = (P12FUsersListRequest)XOManager.getObject(mapFileName, xml);
        return usersList;
    }     

    public String toXML() throws XOMarshallerException {
       	String mapFileName = XMLProperties.get("p12f", "objectMapPath");
       	return XOManager.getXML(mapFileName, this);        	
    }
    
}
