package p12f.exe.pasarelapagos.security.app;


import p12f.exe.pasarelapagos.objects.security.SecurityContext;
import p12f.exe.pasarelapagos.security.app.custom.DefaultSecurityContextGenerator;
import p12f.exe.pasarelapagos.security.app.xlnets.XLNETSSecurityContextGenerator;


public class SecurityContextGeneratorFactory {
	
	public static SecurityContextGeneratorInterface getInstance(String ctxType){
		
		if  (  ctxType.equalsIgnoreCase(SecurityContext.CUSTOM)  ) 
			return 	new DefaultSecurityContextGenerator();
		else if (ctxType.equalsIgnoreCase(SecurityContext.XLNETS)  ){
			return new XLNETSSecurityContextGenerator();
		} else {
			 throw new SecurityException("No se ha indicado el SecurityContextType o no es vlido:"+ ctxType);
		} 
		
	}

}
