package p12f.exe.pasarelapagos.security.app;

import java.util.HashMap;

import p12f.exe.pasarelapagos.objects.security.SecurityContext;


/**
 * Interfaz que expone el mtodo generateSecurityContext el cual generar un conexto de
 * Seguridad para una aplicacion dependiendo de diferentes implementaciones.
 * @author IOLABARO
 *
 */
public interface SecurityContextGeneratorInterface {
	
	public SecurityContext generateSecurityContext(HashMap inputdataList) throws SecurityException;
	
}
