package p12f.exe.pasarelapagos.security.crypto;

import javax.crypto.Cipher;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

import org.bouncycastle.util.encoders.Base64;
import org.bouncycastle.util.encoders.Hex;

import com.ejie.r01f.util.StringUtils;





public class Prueba {

	//private static final String CIPHER_3DES = "DESede/ECB/PKCS5Padding";
	private static final String CIPHER_3DES = "DESede/CBC/NoPadding";
	
	
	
	//DESede/CBC/NoPadding
	private static String ALGORITHM_3DES = "DESede";
	
	/*
	SecretKeySpec ks = new SecretKeySpec(theKey,cryptStd);	
	Cipher cf = Cipher.getInstance(crypAlg);*/
	
	public static void main(String[] argv) throws Exception{
		
		byte[] ivBytes = new byte[8]; //EMPTY VECTOR has I don't know what to do with it!!!
		IvParameterSpec iv = new IvParameterSpec(ivBytes);
		
		//Clave ASCII
		String clave = "5C5859420F080306F080306F080306700000000000000000";
						
		// Clave a Hexadecimal
		byte [] seed_key =  Hex.decode(clave);
		
		//Inicializar algoritmo TRIPLE_DES
		SecretKeySpec keySpec = new SecretKeySpec(seed_key,ALGORITHM_3DES);
		
		Cipher nCipher=Cipher.getInstance(CIPHER_3DES);
		
		nCipher.init( Cipher.ENCRYPT_MODE, keySpec,iv );
		
		//Cadena de texto
		String plaintxt="5540160500035358    201005";
		
		plaintxt = StringUtils.rPadWithChar(plaintxt,' ',32);
		
		System.out.println("\nPlain Text:" +   plaintxt    + " [Size:" + plaintxt.length() +"]");
		
		// Paso a EBCDIC y Cifrado-		
		byte[] cipherbyte = nCipher.doFinal( plaintxt.getBytes("CP500"));
		
		
		String encodeTxtBASE64 = new String(Base64.encode(cipherbyte));
	
		System.out.println("ENCRIPTACION  TRIPLE DES : (PADDING)"+ CIPHER_3DES );
		System.out.println("========================================================");
		System.out.println("Cipherbyte Size="+cipherbyte.length + "(bytes)" );
		String plainDesencript =  new String(Hex.encode(cipherbyte)).toUpperCase();
		
		System.out.println("Encrypt (Hex) :" +plainDesencript );
	    System.out.println("Encrypt (Base64):" + encodeTxtBASE64);
	    
	    

		System.out.println("DESENCRIPTACION  TRIPLEDES : (PADDING) " +  CIPHER_3DES  );
		System.out.println("============================================================");
		
		
		nCipher.init( Cipher.DECRYPT_MODE, keySpec,iv );
	
		//String plainDesencript = "26A8D4DDBA58B1EE"; //<== SI intento desencriptar esto falla.
		
		System.out.println("Cadena a Desencriptar (HEX):"+plainDesencript);
		byte[] encData = Hex.decode(plainDesencript);
		
	
		String decryptedtxt = new String( nCipher.doFinal(encData),"CP500");
	    System.out.println("Cadena Desencriptada="+decryptedtxt);
		
		
	}
	
}
