/*
 * Created on 09-jun-2005
 *
 */
package p12f.exe.pasarelapagos.transformer.test;

/**
 * @author co00414a
 *
 */
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.PrintStream;

import p12f.exe.pasarelapagos.transformer.ObjectTransformerException;
import p12f.exe.pasarelapagos.v1.objects.Aplicacion;
import p12f.exe.pasarelapagos.v1.objects.Imagen;


import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class ToPeticionPago {
	
	public static String PATH_PETICIONPAGO_ORIGINAL = "d:\\eAdmin\\config\\p12f\\PeticionPagoOldOriginal.xml";
	public static String PATH_PAYMENT_REQUEST = "d:\\eAdmin\\config\\p12f\\PaymentRequestData.xml";
	public static String PATH_PROTOCOL_REQUEST = "d:\\eAdmin\\config\\p12f\\ProtocolData.xml";
    public static String PATH_PRESENTATION_REQUEST = "d:\\eAdmin\\config\\p12f\\PresentationData.xml";
    public static String PATH_PETICIONPAGO_FINAL2 = "d:\\eAdmin\\config\\p12f\\PeticionPagoOldFinal2.xml";			
	
	public static void main(String args[]) throws ObjectTransformerException, XOMarshallerException, IOException, ClassNotFoundException{
		
        
        
        Aplicacion appObject = new Aplicacion();
        FileInputStream fis = null;
        // Obtener una Peticion de Pago antigua
        
        p12f.exe.pasarelapagos.v1.objects.PeticionPago peticionPagoV1 = null;
        p12f.exe.pasarelapagos.v1.objects.PeticionPago peticionPagoV2 = null;
        
        // *******************************     ESCRITURA  ******************
        fis = new FileInputStream (PATH_PETICIONPAGO_ORIGINAL);
        peticionPagoV1 =(p12f.exe.pasarelapagos.v1.objects.PeticionPago) XOManager.getObject(XMLProperties.get("p12f","objectMapPathV1"),fis);      
        
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        ObjectOutputStream out = new ObjectOutputStream(baos);
        out.writeObject(appObject);
        
        Imagen img = new Imagen();      
        img.url = baos.toString();
       
        img.id = "OBJ";
        peticionPagoV1.imagenes.put(img.id,img);
        
        
       
        
        _writeToFile(PATH_PETICIONPAGO_FINAL2,"<?xml version=\"1.0\" encoding=\"ISO-8859-1\" ?>"+peticionPagoV1.toXML());
        
        // *******************************     lectura  ******************
        
        
        
        fis = new FileInputStream (PATH_PETICIONPAGO_FINAL2);
        peticionPagoV2 =(p12f.exe.pasarelapagos.v1.objects.PeticionPago) XOManager.getObject(XMLProperties.get("p12f","objectMapPathV1"),fis);      
        Imagen img2 = (Imagen)peticionPagoV1.imagenes.get("obj");
        
        
       ByteArrayInputStream biss = new ByteArrayInputStream(img2.url.getBytes());
       ObjectInputStream ios = new ObjectInputStream(biss);
       Object obj = ios.readObject();
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
	}
	
	
	private static void _writeToFile(String path, String xmlStr) throws IOException{	 	
 	    FileOutputStream fos=new FileOutputStream (path,false);
        PrintStream ps = new PrintStream(fos);	      
        ps.print(xmlStr);
        fos.close();
        ps.close();	 
	 }
	

}
