package p12f.exe.pasarelapagos.utils;


/**
 * Clase con metodos para el formateo de los numeros 
 * manejados por la pasarela
 */
public class NumberFormatter {
	
	/**
	 * Metodo que formatea un importe para sacarlo en formato
	 * decimal en euros
	 * @param importe Importe en centeuros
	 * @return Importe formateado
	 */
	public static String formatearImporte(long importe){
		
		String cadena = Long.toString(importe);
		StringBuffer cadenaFormateada = new StringBuffer(cadena);
        // Se introducen tantos ceros al principio de la cadena como sean necesarios
        while(cadenaFormateada.length()<3) {
            cadenaFormateada.insert(0,"0");;
        }
		cadenaFormateada.insert(cadenaFormateada.length()-2, ",");
		
		return cadenaFormateada.toString();
	}

}
