package p12f.exe.pasarelapagos.v1.objects;


import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * Datos de presentacion de una peticion de pago en la pasarela de pagos
 */
public class Liquidacion extends AbstractPagoObj {
	public String idCartaPago;
	public String textoPieCastellano;
	public String textoPieEuskera;
	public String lugarFirmaCastellano;
	public String lugarFirmaEuskera;
	public String numeroLiquidacion;
	public Map plantillasLiquidacion;	 // Plantilla XSL:FO para obtener el PDF
    public Map imagenes;				 // Imgenes para la liquidacion

    
    /** Constructores */
    public Liquidacion() {
    }   
    /** Para clonar */
    public Liquidacion(Liquidacion other) {
        this.idCartaPago = new String(other.idCartaPago);
        this.textoPieCastellano = new String(other.textoPieCastellano);
        this.textoPieEuskera = new String(other.textoPieEuskera);
        this.lugarFirmaCastellano = new String(other.lugarFirmaCastellano);
        this.lugarFirmaEuskera = new String(other.lugarFirmaEuskera);
        this.numeroLiquidacion = new String(other.numeroLiquidacion);

        if (other.plantillasLiquidacion != null) {
        	this.plantillasLiquidacion = new HashMap();
        	for (Iterator it = other.plantillasLiquidacion.entrySet().iterator(); it.hasNext();) {
        		Map.Entry me = (Map.Entry)it.next();
        		this.plantillasLiquidacion.put(me.getKey(),me.getValue());
        	}        	
        }
        if (other.imagenes != null) {
        	this.imagenes = new HashMap();
        	for (Iterator it = other.imagenes.entrySet().iterator(); it.hasNext();) {
        		Map.Entry me = (Map.Entry)it.next();
        		this.imagenes.put(me.getKey(),me.getValue());
        	}
        }
    }
//____________________________________________________________________________\\    
   
}
