package p12f.exe.pasarelapagos.v1.objects;

/** 
 * Elemento individual de la lista de imagenes a incluir en el justificante
 * de pago
 */

public class MedioPago extends AbstractPagoObj {
	
	public static final String LIQUIDACION = "01";
	public static final String BANCA_ONLINE = "02";
	
    public String id;       // ID de la imagen
    public boolean def;     // Es la forma de pago por defecto ?
    
    public MedioPago() {
    }
    public MedioPago(String idFormaPago) {
        this.id = idFormaPago;
        this.def = false;       // No es forma de pago por defecto
    }
    
}
