package p12f.exe.pasarelapagos.v1.objects;


import java.util.List;
import java.util.Map;

/**
 * Datos de presentacion de una peticion de pago en la pasarela de pagos
 */
public class Presentacion extends AbstractPagoObj {
    public String instance;             // Instancia de la pasarela
    public String idioma;               // Datos del idioma 
    public boolean conformidad;        // Indica si se presenta la conformidad del pago
    public List mediosPago;             // Medios de pago permitidos
    public List entidadesFinancieras;   // Entidades financieras permitidas    
    public Map imagenes;				 // Imgenes
   
}
