package p12f.exe.search;

import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

/**
 *  Resultado de Busquedas por modo de pago
 */
public class PaymentStatsPaymentDateResult {
//	<fechaInicio>INICIADOS.IDATE AS INITDATE</fechaInicio>
//  <nIniciados>INICIADOS.NPAGOS AS INICIADOS</nIniciados>
//  <importeIniciados>INICIADOS.IMPORTE AS IMPORTEINICIADOS</importeIniciados>
//  <nCompletados>COMPLETADOS.NPAGOS AS COMPLETADOS</nCompletados>
//  <importeCompletados>COMPLETADOS.IMPORTE AS IMPORTECOMPLETADOS</importeCompletados>

	private static final long serialVersionUID = 1L;

	//public Date paymentDate;        // 01/15/2010, ...
	public String paymentDate;        // 01/15/2010, ...
	public long nIniciados;         // numero de pagos iniciados con ese modo de pago
	public long importeIniciados;   // importe total de pagos iniciados con ese modo de pago
	public long nCompletados;       // numero de pagos completados con ese modo de pago
	public long importeCompletados; // importe total de pagos completados con ese modo de pago

	public PaymentStatsPaymentDateResult() {
		ObjectUtils.initialize(this);
	}

  /**
   * Convierte un Objeto PaymentStatsFinantialOrgResult a XML.
   * @return String que contiene el XML.
   * @throws XOMarshallerException
   */
  public String toXML() throws XOMarshallerException {

  	System.out.println("Classmap="+XMLProperties.get("p12f","objectMapPath"));

      return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
  }

  /**
   * Convierte un XML en un objeto PaymentStatsFinantialOrgResult.
   * @return Objeto PaymentStatsFinantialOrgResult construido a partir del XML.
   * @throws XOMarshallerException
   */
  public static PaymentStatsResult getObject(String xml) throws XOMarshallerException {    
      return (PaymentStatsResult)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
  }

}
