/*
 * Created on May 29, 2007
 * 
 * @author ie00191m - Iker Olabarria
 * (c) 2007 EJIE: Eusko Jaurlaritzako Informatika Elkartea
 */
package p12f.exe.search.parameters;

import java.io.Serializable;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

/**
 * Parametros de Busqueda por expediente.
 */
public class EXPSearchedParam implements Serializable, Initializable{

    public String codExp ; // Cdigo de Expediente
    public String codFamily ; // Cdigo de Familia de Expediente
    
    /**
     * Constructor.
     */
    public EXPSearchedParam() {
    }    
    
    /**
     * Constructor.
     * @param codExp
     * @param codFamily
     */
    public EXPSearchedParam(String codExp, String codFamily) {
        this.codExp = codExp;
        this.codFamily =  codFamily;
    }
    
    /**
     * Convierte un Objeto PaymentData a XML.
     * @return String que contiene el XML.
     * @throws XOMarshallerException
     */
    public String toXML() throws XOMarshallerException {  
        return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
  
}
