package p12f.exe.search.parameters;

import java.io.Serializable;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class PaymentModeSearchedParam implements Serializable, Initializable {

    public String paymentMode; // "01", "02", "03", "05" (PaymentMode.LIQUIDACION...)

    /* 
     * Contructor vacio.
     */
    public PaymentModeSearchedParam() {
        
    }

    /**
     * Parmetros de Bsqueda por modo de pago.
     * @param paymentMode
     */
    public PaymentModeSearchedParam(String paymentMode) {
        this.paymentMode = paymentMode;
    }

    /**
     * Convierte un Objeto PaymentModeSearchedParam a XML.
     * @return String que contiene el XML.
     * @throws XOMarshallerException
     */
    public String toXML() throws XOMarshallerException {  
        return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
}
