package p12f.exe.thirdsgateway.objects;

import java.io.Serializable;
import java.util.Map;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class StringMap implements Initializable, Serializable {

	public String id;
	public Map object;
	
	public StringMap() {
		ObjectUtils.initialize(this);
	}
	
	/**
	 * Convierte un Objeto MapObject a XML.
	 * @return
	 * @throws XOMarshallerException
	 */
    public String toXML() throws XOMarshallerException {   
    	return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
    
    /**
	 * Convierte un XML en un objeto MapObject.
	 * @return
	 * @throws XOMarshallerException
	 */
	public static StringMap getObject(String xml) throws XOMarshallerException {    
	    return (StringMap)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
	
}
