package p12f.exe.thirdsgateway.objects;

import java.io.Serializable;

import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class ThirdsRegistryContainerVarPair implements Serializable {

	public String container;
	public String variable;
	
	public ThirdsRegistryContainerVarPair() {

	}
	
	/**
	 * Convierte un Objeto ThirdsRegistryContainerVarPair a XML.
	 * @return
	 * @throws XOMarshallerException
	 */
    public String toXML() throws XOMarshallerException {   
    	return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
    
    /**
	 * Convierte un XML en un objeto RegistryItem.
	 * @return
	 * @throws XOMarshallerException
	 */
	public static ThirdsRegistryContainerVarPair getObject(String xml) throws XOMarshallerException {    
	    return (ThirdsRegistryContainerVarPair)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
}
