package p12f.exe.thirdsgateway.objects.config;

import java.io.Serializable;
import java.util.Map;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class UrlConfig implements Serializable, Initializable {

	public String id;
	public boolean staticUrl;
	public Map urls;
	public String url;
	
	public UrlConfig() {
		ObjectUtils.initialize(this);
	}
	
	/**
	 * Convierte un Objeto UrlConfig a XML.
	 * @return
	 * @throws XOMarshallerException
	 */
    public String toXML() throws XOMarshallerException {   
    	return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
    
    /**
	 * Convierte un XML en un objeto UrlConfig.
	 * @return
	 * @throws XOMarshallerException
	 */
	public static UrlConfig getObject(String xml) throws XOMarshallerException {    
	    return (UrlConfig)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
	
}
