package p12f.exe.thirdsgateway.objects.config;

import java.io.Serializable;
import java.util.List;

import com.ejie.r01f.util.Initializable;
import com.ejie.r01f.util.ObjectUtils;
import com.ejie.r01f.xml.marshalling.XOManager;
import com.ejie.r01f.xml.marshalling.XOMarshallerException;
import com.ejie.r01f.xmlproperties.XMLProperties;

public class UrlsConfig implements Serializable, Initializable {

	public String id;
	public List urls;
	
	public UrlsConfig() {
		ObjectUtils.initialize(this);
	}
	
	/**
	 * Convierte un Objeto UrlsConfig a XML.
	 * @return
	 * @throws XOMarshallerException
	 */
    public String toXML() throws XOMarshallerException {   
    	return XOManager.getXML(XMLProperties.get("p12f","objectMapPath"),this);
    }
    
    /**
	 * Convierte un XML en un objeto UrlsConfig.
	 * @return
	 * @throws XOMarshallerException
	 */
	public static UrlsConfig getObject(String xml) throws XOMarshallerException {    
	    return (UrlsConfig)XOManager.getObject(XMLProperties.get("p12f","objectMapPath"), xml);
	}
	
}
